# Introduction

The Algomojo Arrow API documentation provides information on how to interact with the AlgoMojo platform programmatically using the REST API.\
It allows you to automate trading and retrieve data such as market information, order details, and account information.\
The API uses RESTful web services and responses are provided in JSON format.\
The API requires authentication using an API key which can be obtained from the AlgoMojo platform.\
It provides multiple endpoints for various operations such as placing an order, canceling an order, getting a list of orders, funds, quotes etc.,\
It's important to read the API documentation carefully and follow the guidelines and best practices provided to ensure smooth integration with the AlgoMojo platform.

**API Endpoint**<br>

**<https://amapi.algomojo.com/v1/>**

**REST API URL**<br>

**<https://amapi.algomojo.com/v1/>**

**Version**\
The current major stable version of the API is 1.0. All requests go to it by default. It is recommended that a specific version be requested explicity for production applications as major releases may break older implementations.

Each rest call will have 3 compulsory request parameters\
1\. **api\_key**\
2\. **api\_secret**\
3\. **data**\
**api\_key** is a key allocated to the User. Input will be in string format.\
**api\_secret** is a id received as response from Login 2FA.Input will be in string format.\
**data** is a JSON object which is referred as Input in rest description table. If there is no input mentioned in the table you need to send it as a blank object or a blank string. Input will be in string format.\
**NOTE:-** All APIs are considered as POST method. All the input as well as output data type will be in string format unless its mentioned in rest explanation section.

```

 
 {
     "status": "success",
     "data": {}
 }     
         
 {
     "status": "error",
     "error_msg": "Error Message",
     "error_type": "E"
 } 
                 
```

\ <br>

**SUCCESSFUL RESPONSE**

Each successful response rest will have parameters\
1\. status\
2\. data<br>

**ERROR RESPONSE**

Each error response rest will have 3 parameters\
1\. status\
2\. error\_msg\
3\. error\_type


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.algomojo.com/algomojo/api/v1/introduction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
